Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc
Class WrappedConnection

    java.lang.Object
      org.jboss.resource.adapter.jdbc.WrappedConnection

All Implemented Interfaces:
  Connection

public class WrappedConnection
extends Object
implements Connection

A wrapper for a connection.

Version:
  $Revision: 1.7 $
Author:
  David Jencks, Adrian Brock

Field Summary

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`WrappedConnection(BaseWrapperManagedConnection mc)`

Method Summary
`protected void` | `checkException(SQLException e)` The base checkException method rethrows the supplied exception, informing the ManagedConnection of the error.
`protected void` | `checkStatus()` The checkStatus method checks that the handle has not been closed and that it is associated with a managed connection.
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`Statement` | `createStatement()`
`Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`Statement` | `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`boolean` | `getAutoCommit()`
`String` | `getCatalog()`
`int` | `getHoldability()`
`DatabaseMetaData` | `getMetaData()`
`int` | `getTransactionIsolation()`
`Map` | `getTypeMap()`
`Connection` | `getUnderlyingConnection()`
`SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`String` | `nativeSQL(String sql)`
`CallableStatement` | `prepareCall(String sql)`
`CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency)`
`CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` | `prepareStatement(String sql)`
`PreparedStatement` | `prepareStatement(String sql, int autoGeneratedKeys)`
`PreparedStatement` | `prepareStatement(String sql, int[] columnIndexes)`
`PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency)`
`PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` | `prepareStatement(String sql, String[] columnNames)`
`void` | `releaseSavepoint(Savepoint savepoint)`
`void` | `rollback()`
`void` | `rollback(Savepoint savepoint)`
`void` | `setAutoCommit(boolean autocommit)`
`void` | `setCatalog(String catalog)`
`void` | `setHoldability(int holdability)`
`void` | `setReadOnly(boolean readOnly)`
`Savepoint` | `setSavepoint()`
`Savepoint` | `setSavepoint(String name)`
`void` | `setTransactionIsolation(int isolationLevel)`
`void` | `setTypeMap(Map typeMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedConnection

    public WrappedConnection(BaseWrapperManagedConnection mc)

Method Detail

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws SQLException

  Specified by:
    `setReadOnly` in interface `Connection`
  Throws:
    `SQLException` -

### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

  Specified by:
    `isReadOnly` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Connection`
  Throws:
    `SQLException` -

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### createStatement

    public Statement createStatement()
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency)
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency,
                                     int resultSetHoldability)
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareStatement

    public PreparedStatement prepareStatement(String sql)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int autoGeneratedKeys)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int[] columnIndexes)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              String[] columnNames)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareCall

    public CallableStatement prepareCall(String sql)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int resultSetType,
                                         int resultSetConcurrency)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int resultSetType,
                                         int resultSetConcurrency,
                                         int resultSetHoldability)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### nativeSQL

    public String nativeSQL(String sql)
                     throws SQLException

  Specified by:
    `nativeSQL` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### setAutoCommit

    public void setAutoCommit(boolean autocommit)
                       throws SQLException

  Specified by:
    `setAutoCommit` in interface `Connection`
  Throws:
    `SQLException` -

### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

  Specified by:
    `getAutoCommit` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### commit

    public void commit()
                throws SQLException

  Specified by:
    `commit` in interface `Connection`
  Throws:
    `SQLException` -

### rollback

    public void rollback()
                  throws SQLException

  Specified by:
    `rollback` in interface `Connection`
  Throws:
    `SQLException` -

### rollback

    public void rollback(Savepoint savepoint)
                  throws SQLException

  Specified by:
    `rollback` in interface `Connection`
  Throws:
    `SQLException` -

### getMetaData

    public DatabaseMetaData getMetaData()
                                 throws SQLException

  Specified by:
    `getMetaData` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### setCatalog

    public void setCatalog(String catalog)
                    throws SQLException

  Specified by:
    `setCatalog` in interface `Connection`
  Throws:
    `SQLException` -

### getCatalog

    public String getCatalog()
                      throws SQLException

  Specified by:
    `getCatalog` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### setTransactionIsolation

    public void setTransactionIsolation(int isolationLevel)
                                 throws SQLException

  Specified by:
    `setTransactionIsolation` in interface `Connection`
  Throws:
    `SQLException` - @todo check we are not in a managed transaction.

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws SQLException

  Specified by:
    `getTransactionIsolation` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Connection`
  Throws:
    `SQLException` -

### getTypeMap

    public Map getTypeMap()
                   throws SQLException

  Specified by:
    `getTypeMap` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### setTypeMap

    public void setTypeMap(Map typeMap)
                    throws SQLException

  Specified by:
    `setTypeMap` in interface `Connection`
  Throws:
    `SQLException` -

### setHoldability

    public void setHoldability(int holdability)
                        throws SQLException

  Specified by:
    `setHoldability` in interface `Connection`
  Throws:
    `SQLException` -

### getHoldability

    public int getHoldability()
                       throws SQLException

  Specified by:
    `getHoldability` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### setSavepoint

    public Savepoint setSavepoint()
                           throws SQLException

  Specified by:
    `setSavepoint` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### setSavepoint

    public Savepoint setSavepoint(String name)
                           throws SQLException

  Specified by:
    `setSavepoint` in interface `Connection`
  Returns:
  Throws:
    `SQLException` -

### releaseSavepoint

    public void releaseSavepoint(Savepoint savepoint)
                          throws SQLException

  Specified by:
    `releaseSavepoint` in interface `Connection`
  Throws:
    `SQLException` -

### getUnderlyingConnection

    public Connection getUnderlyingConnection()
                                       throws SQLException

  Throws:
    `SQLException`

### checkStatus

    protected void checkStatus()
                        throws SQLException

  The checkStatus method checks that the handle has not been closed and that it is associated with a managed connection.

  Throws:
    `SQLException` - if an error occurs

### checkException

    protected void checkException(SQLException e)
                           throws SQLException

  The base checkException method rethrows the supplied exception, informing the ManagedConnection of the error. Subclasses may override this to filter exceptions based on their severity.

  Parameters:
    `e` - a `SQLException` value
  Throws:
    `Exception` - if an error occurs
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.